Index: branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4.csproj
===================================================================
--- branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4.csproj	(revision 9241)
+++ branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4.csproj	(revision 9246)
@@ -172,5 +172,4 @@
     <Compile Include="Interfaces\Operators\ITracingSymbolicExpressionTreeOperator.cs" />
     <Compile Include="Manipulators\RemoveBranchManipulation.cs" />
-    <Compile Include="SymbolicExpressionTreeTextRenderer.cs" />
     <Compile Include="TracingSymbolicExpressionTreeOperator.cs" />
     <Compile Include="Creators\TracingSymbolicExpressionTreeCreator.cs" />
Index: branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Manipulators/TracingSymbolicExpressionTreeManipulator.cs
===================================================================
--- branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Manipulators/TracingSymbolicExpressionTreeManipulator.cs	(revision 9241)
+++ branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Manipulators/TracingSymbolicExpressionTreeManipulator.cs	(revision 9246)
@@ -95,14 +95,4 @@
         GlobalTraceMap[tree] = new ItemList<IItem> { GlobalCloneMap[tree] };
       }
-
-      //      var concreteType = this.GetType();
-
-      //      if (!manipulationTypes.ContainsKey(concreteType))
-      //        throw new Exception(this.Name + ": Unknown manipulation type (key not found in the dictionary).");
-
-      //      var nodes0 = tree.IterateNodesBreadth().ToList(); // list of nodes before manipulation
-      //      Manipulate(RandomParameter.ActualValue, tree);
-      //      var nodes1 = tree.IterateNodesBreadth().ToList(); // list of nodes after manipulation
-
       var comparer = SymbolicExpressionTreeNodeComparer;
       var clonedTree = (ISymbolicExpressionTree)tree.Clone();
@@ -114,46 +104,4 @@
       int i = 0; while (i != min && comparer.Equals(nodes0[i], nodes1[i])) ++i;
       fragment = new Fragment(i == min ? null : nodes1[i], 1);
-      GlobalFragmentMap[tree] = fragment;
-
-
-
-      //      switch (manipulationTypes[concreteType]) {
-      //        case ManipulationType.FullTreeShaker: {
-      //            // the FullTreeShaker changes the local parameters of all the nodes in the tree
-      //            // therefore, the whole tree is considered to be the fragment
-      //            fragment = new Fragment(tree.Root.GetSubtree(0).GetSubtree(0));
-      //            break;
-      //          }
-      //        case ManipulationType.OnePointShaker: {
-      //            var original = (ISymbolicExpressionTree)GlobalCloneMap[tree];
-      //            var nodesOriginal = original.IterateNodesBreadth().ToList();
-      //            int i = 0;
-      //            var comparer = SymbolicExpressionTreeNodeComparer;
-      //            while (i != min && comparer.Equals(nodesOriginal[i], nodes1[i])) ++i;
-      //            fragment = new Fragment(i == min ? null : nodes1[i], 1);
-      //            break;
-      //          }
-      //        case ManipulationType.ChangeNodeTypeManipulation: {
-      //            int i = 0;
-      //            while (i != min && ReferenceEquals(nodes0[i], nodes1[i])) ++i;
-      //            fragment = new Fragment(i == min ? null : nodes1[i], 1);
-      //            break;
-      //          }
-      //        case ManipulationType.ReplaceBranchManipulation: {
-      //            int i = 0;
-      //            while (i != min && ReferenceEquals(nodes0[i], nodes1[i])) ++i;
-      //            fragment = new Fragment(i == min ? null : nodes1[i]);
-      //            break;
-      //          }
-      //        case ManipulationType.RemoveBranchManipulation: {
-      //            int i = 0;
-      //            while (i != min && ReferenceEquals(nodes0[i], nodes1[i])) ++i;
-      //            fragment = new Fragment(i == min ? null : nodes1[i]);
-      //            break;
-      //          }
-      //        default:
-      //          throw new Exception(Name + ": Unknown manipulaton type.");
-      //      }
-
       GlobalFragmentMap[tree] = fragment;
       return base.Apply();
Index: branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Plugin.cs
===================================================================
--- branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Plugin.cs	(revision 9241)
+++ branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Plugin.cs	(revision 9246)
@@ -23,5 +23,5 @@
 
 namespace HeuristicLab.Encodings.SymbolicExpressionTreeEncoding {
-  [Plugin("HeuristicLab.Encodings.SymbolicExpressionTreeEncoding","Provides operators and related classes for the symbolic expression tree encoding.", "3.4.3.9083")]
+  [Plugin("HeuristicLab.Encodings.SymbolicExpressionTreeEncoding","Provides operators and related classes for the symbolic expression tree encoding.", "3.4.3.9237")]
   [PluginFile("HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Analysis", "3.3")]