Index: branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.EvolutionaryTracking/3.4/DirectedGraph/Vertex.cs
===================================================================
--- branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.EvolutionaryTracking/3.4/DirectedGraph/Vertex.cs	(revision 9246)
+++ branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.EvolutionaryTracking/3.4/DirectedGraph/Vertex.cs	(revision 9247)
@@ -41,4 +41,7 @@
       }
     }
+
+    [StorableConstructor]
+    public Vertex(bool deserializing) { }
 
     public Vertex() {
Index: branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.EvolutionaryTracking/3.4/HeuristicLab.EvolutionaryTracking-3.4.csproj
===================================================================
--- branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.EvolutionaryTracking/3.4/HeuristicLab.EvolutionaryTracking-3.4.csproj	(revision 9246)
+++ branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.EvolutionaryTracking/3.4/HeuristicLab.EvolutionaryTracking-3.4.csproj	(revision 9247)
@@ -91,5 +91,5 @@
     <Compile Include="Analyzers\Fragments\SymbolicExpressionTreeRelativeFragmentDepthAnalyzer.cs" />
     <Compile Include="Analyzers\Fragments\SymbolicExpressionTreeFragmentLengthsAnalyzer.cs" />
-    <Compile Include="Analyzers\GeneticOperatorsAverageImprovementAnalyzer.cs" />
+    <Compile Include="Analyzers\GeneticOperatorImprovementAnalyzer.cs" />
     <Compile Include="Analyzers\SymbolicExpressionTreeFrequentPatternsAnalyzer.cs" />
     <Compile Include="Analyzers\Fragments\SymbolicExpressionTreeFragmentsAnalyzer.cs" />
Index: branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.EvolutionaryTracking/3.4/Operators/LineageAggregator.cs
===================================================================
--- branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.EvolutionaryTracking/3.4/Operators/LineageAggregator.cs	(revision 9246)
+++ branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.EvolutionaryTracking/3.4/Operators/LineageAggregator.cs	(revision 9247)
@@ -94,5 +94,5 @@
       if (!Results.ContainsKey(LineageExplorerParameterName))
         Results.Add(new Result(LineageExplorerParameterName, lineageExplorer));
-      else Results[LineageExplorerParameterName].Value = lineageExplorer; 
+      else Results[LineageExplorerParameterName].Value = lineageExplorer;
 
       return base.Apply();
Index: branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.EvolutionaryTracking/3.4/Operators/SymbolicExpressionTreeGenealogyGraphBuilder.cs
===================================================================
--- branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.EvolutionaryTracking/3.4/Operators/SymbolicExpressionTreeGenealogyGraphBuilder.cs	(revision 9246)
+++ branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.EvolutionaryTracking/3.4/Operators/SymbolicExpressionTreeGenealogyGraphBuilder.cs	(revision 9247)
@@ -252,4 +252,12 @@
         var tree = node.SymbolicExpressionTree;
         if (!GlobalTraceMap.ContainsKey(tree)) {
+          var nodes = graph.GetGraphNodes(tree);
+          if (nodes.Count > 1) {
+            // link elites from previous generation
+            var last = nodes[nodes.Count - 2];
+            var arc = new Arc { Source = last, Target = node, Data = new Fragment(null) };
+            last.AddForwardArc(arc);
+            node.AddReverseArc(arc);
+          }
           continue;
         }
Index: branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.EvolutionaryTracking/3.4/SymbolicExpressionTreeGenealogyGraph.cs
===================================================================
--- branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.EvolutionaryTracking/3.4/SymbolicExpressionTreeGenealogyGraph.cs	(revision 9246)
+++ branches/HeuristicLab.EvolutionaryTracking/HeuristicLab.EvolutionaryTracking/3.4/SymbolicExpressionTreeGenealogyGraph.cs	(revision 9247)
@@ -83,4 +83,5 @@
   }
 
+  [StorableClass]
   public class SymbolicExpressionGenealogyGraphNode : Vertex {
     public ISymbolicExpressionTree SymbolicExpressionTree {
@@ -91,4 +92,7 @@
     public bool IsElite { get; set; }
     public double Rank { get; set; }
+
+    [StorableConstructor]
+    public SymbolicExpressionGenealogyGraphNode(bool deserializing) : base(deserializing) { }
 
     public SymbolicExpressionGenealogyGraphNode() { }