Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionProblem.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionProblem.cs	(revision 8987)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionProblem.cs	(revision 9258)
@@ -20,7 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
 using HeuristicLab.Analysis;
 using HeuristicLab.Common;
@@ -32,4 +29,7 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using System;
+using System.Collections.Generic;
+using System.Linq;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -125,10 +125,4 @@
     public override IDeepCloneable Clone(Cloner cloner) {
       return new SingleObjectiveTestFunctionProblem(this, cloner);
-    }
-
-    private bool IsNotFieldReferenced(IOperator x) {
-      return !(x == strategyVectorCreator
-        || x == strategyVectorCrossover
-        || x == strategyVectorManipulator);
     }
 
@@ -337,5 +331,5 @@
     }
     private void ParameterizeOperators() {
-      foreach (IRealVectorCrossover op in Operators.OfType<IRealVectorCrossover>()) {
+      foreach (var op in Operators.OfType<IRealVectorCrossover>()) {
         op.ParentsParameter.ActualName = SolutionCreator.RealVectorParameter.ActualName;
         op.ParentsParameter.Hidden = true;
@@ -345,5 +339,5 @@
         op.BoundsParameter.Hidden = true;
       }
-      foreach (IRealVectorManipulator op in Operators.OfType<IRealVectorManipulator>()) {
+      foreach (var op in Operators.OfType<IRealVectorManipulator>()) {
         op.RealVectorParameter.ActualName = SolutionCreator.RealVectorParameter.ActualName;
         op.RealVectorParameter.Hidden = true;
@@ -351,13 +345,13 @@
         op.BoundsParameter.Hidden = true;
       }
-      foreach (IRealVectorMoveOperator op in Operators.OfType<IRealVectorMoveOperator>()) {
-        op.RealVectorParameter.ActualName = SolutionCreator.RealVectorParameter.ActualName;
-        op.RealVectorParameter.Hidden = true;
-      }
-      foreach (IRealVectorMoveGenerator op in Operators.OfType<IRealVectorMoveGenerator>()) {
+      foreach (var op in Operators.OfType<IRealVectorMoveOperator>()) {
+        op.RealVectorParameter.ActualName = SolutionCreator.RealVectorParameter.ActualName;
+        op.RealVectorParameter.Hidden = true;
+      }
+      foreach (var op in Operators.OfType<IRealVectorMoveGenerator>()) {
         op.BoundsParameter.ActualName = BoundsParameter.Name;
         op.BoundsParameter.Hidden = true;
       }
-      foreach (ISingleObjectiveTestFunctionAdditiveMoveEvaluator op in Operators.OfType<ISingleObjectiveTestFunctionAdditiveMoveEvaluator>()) {
+      foreach (var op in Operators.OfType<ISingleObjectiveTestFunctionAdditiveMoveEvaluator>()) {
         op.QualityParameter.ActualName = Evaluator.QualityParameter.ActualName;
         op.QualityParameter.Hidden = true;
@@ -365,5 +359,5 @@
         op.RealVectorParameter.Hidden = true;
       }
-      foreach (IRealVectorParticleCreator op in Operators.OfType<IRealVectorParticleCreator>()) {
+      foreach (var op in Operators.OfType<IRealVectorParticleCreator>()) {
         op.RealVectorParameter.ActualName = SolutionCreator.RealVectorParameter.ActualName;
         op.RealVectorParameter.Hidden = true;
@@ -373,5 +367,5 @@
         op.ProblemSizeParameter.Hidden = true;
       }
-      foreach (IRealVectorParticleUpdater op in Operators.OfType<IRealVectorParticleUpdater>()) {
+      foreach (var op in Operators.OfType<IRealVectorParticleUpdater>()) {
         op.RealVectorParameter.ActualName = SolutionCreator.RealVectorParameter.ActualName;
         op.RealVectorParameter.Hidden = true;
@@ -379,5 +373,5 @@
         op.BoundsParameter.Hidden = true;
       }
-      foreach (IRealVectorSwarmUpdater op in Operators.OfType<IRealVectorSwarmUpdater>()) {
+      foreach (var op in Operators.OfType<IRealVectorSwarmUpdater>()) {
         op.RealVectorParameter.ActualName = SolutionCreator.RealVectorParameter.ActualName;
         op.RealVectorParameter.Hidden = true;
@@ -385,17 +379,17 @@
         op.MaximizationParameter.Hidden = true;
       }
-      foreach (IRealVectorMultiNeighborhoodShakingOperator op in Operators.OfType<IRealVectorMultiNeighborhoodShakingOperator>()) {
-        op.RealVectorParameter.ActualName = SolutionCreator.RealVectorParameter.ActualName;
-        op.RealVectorParameter.Hidden = true;
-      }
-      foreach (ISingleObjectiveImprovementOperator op in Operators.OfType<ISingleObjectiveImprovementOperator>()) {
+      foreach (var op in Operators.OfType<IRealVectorMultiNeighborhoodShakingOperator>()) {
+        op.RealVectorParameter.ActualName = SolutionCreator.RealVectorParameter.ActualName;
+        op.RealVectorParameter.Hidden = true;
+      }
+      foreach (var op in Operators.OfType<ISingleObjectiveImprovementOperator>()) {
         op.SolutionParameter.ActualName = SolutionCreator.RealVectorParameter.ActualName;
         op.SolutionParameter.Hidden = true;
       }
-      foreach (ISingleObjectivePathRelinker op in Operators.OfType<ISingleObjectivePathRelinker>()) {
+      foreach (var op in Operators.OfType<ISingleObjectivePathRelinker>()) {
         op.ParentsParameter.ActualName = SolutionCreator.RealVectorParameter.ActualName;
         op.ParentsParameter.Hidden = true;
       }
-      foreach (SingleObjectiveTestFunctionSimilarityCalculator op in Operators.OfType<SingleObjectiveTestFunctionSimilarityCalculator>()) {
+      foreach (var op in Operators.OfType<SingleObjectiveTestFunctionSimilarityCalculator>()) {
         op.SolutionVariableName = SolutionCreator.RealVectorParameter.ActualName;
         op.QualityVariableName = Evaluator.QualityParameter.ActualName;
@@ -404,5 +398,5 @@
     }
     private void UpdateStrategyVectorBounds() {
-      DoubleMatrix strategyBounds = (DoubleMatrix)Bounds.Clone();
+      var strategyBounds = (DoubleMatrix)Bounds.Clone();
       for (int i = 0; i < strategyBounds.Rows; i++) {
         if (strategyBounds[i, 0] < 0) strategyBounds[i, 0] = 0;