Index: branches/sluengo/HeuristicLab.Problems.TradeRules/AverageTrade.cs
===================================================================
--- branches/sluengo/HeuristicLab.Problems.TradeRules/AverageTrade.cs	(revision 9262)
+++ 	(revision )
@@ -1,37 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Core;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Common;
-
-namespace HeuristicLab.Problems.TradeRules
-{
-    [StorableClass]
-    [Item("Average", "Symbol that represents the average (arithmetic mean) function.")]
-    public class AverageTrade : Symbol
-    {
-        private const int minimumArity = 1;
-        private const int maximumArity = 1;
-
-        public override int MinimumArity
-        {
-            get { return minimumArity; }
-        }
-        public override int MaximumArity
-        {
-            get { return maximumArity; }
-        }
-
-        [StorableConstructor]
-        private AverageTrade(bool deserializing) : base(deserializing) { }
-        private AverageTrade(AverageTrade original, Cloner cloner) : base(original, cloner) { }
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new AverageTrade(this, cloner);
-        }
-        public AverageTrade() : base("AverageTrade", "Symbol that represents the average (arithmetic mean) function.") { }
-    }
-}
Index: branches/sluengo/HeuristicLab.Problems.TradeRules/BoolConstant.cs
===================================================================
--- branches/sluengo/HeuristicLab.Problems.TradeRules/BoolConstant.cs	(revision 9262)
+++ 	(revision )
@@ -1,50 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-
-namespace HeuristicLab.Problems.TradeRules
-{
-    [StorableClass]
-    [Item("BoolConstant", "Represents a BoolConstant value.")]
-    public sealed class BoolConstant : Symbol
-    {
-        private const int minimumArity = 0;
-        private const int maximumArity = 0;
-
-        public override int MinimumArity
-        {
-            get { return minimumArity; }
-        }
-        public override int MaximumArity
-        {
-            get { return maximumArity; }
-        }
-
-
-        [StorableConstructor]
-        private BoolConstant(bool deserializing) : base(deserializing) { }
-        private BoolConstant(BoolConstant original, Cloner cloner)
-            : base(original, cloner)
-        {
-        }
-        public BoolConstant()
-            : base("BoolConstant", "Represents a BoolConstant value.")
-        {
-        }
-
-        public override ISymbolicExpressionTreeNode CreateTreeNode()
-        {
-            return new BoolConstantTreeNode(this);
-        }
-
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new BoolConstant(this, cloner);
-        }
-    }
-}
Index: branches/sluengo/HeuristicLab.Problems.TradeRules/BoolConstantTreeNode.cs
===================================================================
--- branches/sluengo/HeuristicLab.Problems.TradeRules/BoolConstantTreeNode.cs	(revision 9262)
+++ 	(revision )
@@ -1,59 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Random;
-
-namespace HeuristicLab.Problems.TradeRules
-{
-    [StorableClass]
-    public sealed class BoolConstantTreeNode : SymbolicExpressionTreeTerminalNode
-    {
-
-      public new BoolConstant Symbol {
-      get { return (BoolConstant)base.Symbol; }
-    }
-
-    private double BoolConstantValue;
-    [Storable]
-    public double Value {
-      get { return BoolConstantValue; }
-      set { BoolConstantValue = value; }
-    }
-
-    [StorableConstructor]
-    private BoolConstantTreeNode(bool deserializing) : base(deserializing) { }
-
-    private BoolConstantTreeNode(BoolConstantTreeNode original, Cloner cloner)
-      : base(original, cloner) {
-      BoolConstantValue = original.BoolConstantValue;
-    }
-
-    private BoolConstantTreeNode() : base() { }
-    public BoolConstantTreeNode(BoolConstant BoolConstantSymbol) : base(BoolConstantSymbol) { }
-
-    public override bool HasLocalParameters {
-      get {
-        return true;
-      }
-    }
-    public override void ResetLocalParameters(IRandom random) {
-      base.ResetLocalParameters(random);
-      if (random.Next(1) == 0) Value = -1;
-      else Value = 1;
-    }
-
-    public override IDeepCloneable Clone(Cloner cloner) {
-      return new BoolConstantTreeNode(this, cloner);
-    }
-
-    public override string ToString() {
-      return BoolConstantValue.ToString("E5");
-    }
-  }
-}
-
Index: branches/sluengo/HeuristicLab.Problems.TradeRules/ConstantInt.cs
===================================================================
--- branches/sluengo/HeuristicLab.Problems.TradeRules/ConstantInt.cs	(revision 9262)
+++ 	(revision )
@@ -1,50 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-
-namespace HeuristicLab.Problems.TradeRules
-{
-    [StorableClass]
-    [Item("ConstantInt", "Represents a ConstantInt value.")]
-    public sealed class ConstantInt : Symbol
-    {
-        private const int minimumArity = 0;
-        private const int maximumArity = 0;
-
-        public override int MinimumArity
-        {
-            get { return minimumArity; }
-        }
-        public override int MaximumArity
-        {
-            get { return maximumArity; }
-        }
-
-
-        [StorableConstructor]
-        private ConstantInt(bool deserializing) : base(deserializing) { }
-        private ConstantInt(ConstantInt original, Cloner cloner)
-            : base(original, cloner)
-        {
-        }
-        public ConstantInt()
-            : base("ConstantInt", "Represents a ConstantInt value.")
-        {
-        }
-
-        public override ISymbolicExpressionTreeNode CreateTreeNode()
-        {
-            return new ConstantIntTreeNode(this);
-        }
-
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new ConstantInt(this, cloner);
-        }
-    }
-}
Index: branches/sluengo/HeuristicLab.Problems.TradeRules/ConstantIntTreeNode.cs
===================================================================
--- branches/sluengo/HeuristicLab.Problems.TradeRules/ConstantIntTreeNode.cs	(revision 9262)
+++ 	(revision )
@@ -1,66 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Random;
-
-namespace HeuristicLab.Problems.TradeRules
-{
-    [StorableClass]
-    public sealed class ConstantIntTreeNode : SymbolicExpressionTreeTerminalNode
-    {
-
-        public new ConstantInt Symbol
-        {
-            get { return (ConstantInt)base.Symbol; }
-        }
-
-        private double ConstantIntValue;
-        [Storable]
-        public double Value
-        {
-            get { return ConstantIntValue; }
-            set { ConstantIntValue = value; }
-        }
-
-        [StorableConstructor]
-        private ConstantIntTreeNode(bool deserializing) : base(deserializing) { }
-
-        private ConstantIntTreeNode(ConstantIntTreeNode original, Cloner cloner)
-            : base(original, cloner)
-        {
-            ConstantIntValue = original.ConstantIntValue;
-        }
-
-        private ConstantIntTreeNode() : base() { }
-        public ConstantIntTreeNode(ConstantInt ConstantIntSymbol) : base(ConstantIntSymbol) { }
-
-        public override bool HasLocalParameters
-        {
-            get
-            {
-                return true;
-            }
-        }
-        public override void ResetLocalParameters(IRandom random)
-        {
-            base.ResetLocalParameters(random);
-            
-            Value = random.Next(99)+1;
-        }
-
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new ConstantIntTreeNode(this, cloner);
-        }
-
-        public override string ToString()
-        {
-            return ConstantIntValue.ToString("E5");
-        }
-    }
-}
Index: branches/sluengo/HeuristicLab.Problems.TradeRules/EMA.cs
===================================================================
--- branches/sluengo/HeuristicLab.Problems.TradeRules/EMA.cs	(revision 9262)
+++ 	(revision )
@@ -1,51 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Core;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Common;
-
-namespace HeuristicLab.Problems.TradeRules
-{
-
-    [StorableClass]
-    [Item("EMA", "Represents a EMA value.")]
-    public class EMA : Symbol
-    {
-        private const int minimumArity = 1;
-        private const int maximumArity = 1;
-
-        public override int MinimumArity
-        {
-            get { return minimumArity; }
-        }
-        public override int MaximumArity
-        {
-            get { return maximumArity; }
-        }
-
-        [StorableConstructor]
-        protected EMA(bool deserializing)
-            : base(deserializing)
-        {
-            
-        }
-        protected EMA(EMA original, Cloner cloner)
-            : base(original, cloner)
-        {
-
-        }
-        public EMA() : this("EMA", "Represents a EMA value.") { }
-        public EMA(string name, string description)
-            : base(name, description)
-        {
-        }
-
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new EMA(this, cloner);
-        }
-    }
-}
Index: branches/sluengo/HeuristicLab.Problems.TradeRules/EvaluatorTradeRules.cs
===================================================================
--- branches/sluengo/HeuristicLab.Problems.TradeRules/EvaluatorTradeRules.cs	(revision 9262)
+++ 	(revision )
@@ -1,145 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.DataAnalysis.Symbolic.Regression;
-using HeuristicLab.Problems.DataAnalysis.Symbolic;
-using HeuristicLab.Problems.DataAnalysis;
-
-namespace HeuristicLab.Problems.TradeRules
-{
-    [Item("Trade Rules Evaluator", "Calculates the profit")]
-    [StorableClass]
-    public class EvaluatorTradeRules : SymbolicRegressionSingleObjectiveEvaluator
-    {
-
-        public override bool Maximization { get { return true; } }
-
-        [StorableConstructor]
-        protected EvaluatorTradeRules(bool deserializing) : base(deserializing) { }
-        protected EvaluatorTradeRules(EvaluatorTradeRules original, Cloner cloner)
-            : base(original, cloner)
-        {
-        }
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new EvaluatorTradeRules(this, cloner);
-        }
-
-        public EvaluatorTradeRules() : base() { }
-
-        public override IOperation Apply()
-        {
-            var solution = SymbolicExpressionTreeParameter.ActualValue;
-            IEnumerable<int> rows = GenerateRowsToEvaluate();
-
-            double quality = Calculate(SymbolicDataAnalysisTreeInterpreterParameter.ActualValue, solution, EstimationLimitsParameter.ActualValue.Lower, EstimationLimitsParameter.ActualValue.Upper, ProblemDataParameter.ActualValue, rows);
-            QualityParameter.ActualValue = new DoubleValue(quality);
-
-            return base.Apply();
-        }
-
-        public static double Calculate(ISymbolicDataAnalysisExpressionTreeInterpreter interpreter, ISymbolicExpressionTree solution, double lowerEstimationLimit, double upperEstimationLimit, IRegressionProblemData problemData, IEnumerable<int> rows)
-        {
-            IEnumerable<double> estimatedValues = interpreter.GetSymbolicExpressionTreeValues(solution, problemData.Dataset, rows);
-            const double commission = 0.25;
-
-            bool intoMarket = false;//Equivalent to be into the market
-            int totalTradeDays = 0;
-            int numberTrades = 0;
-            int tradeDays = 0;
-            double dayBefore = 0.0;
-            double yesterday = 0.0;
-            double buyPrice = 0.0;
-            double sellPrice = 0.0;
-            string stringPrice = "";
-            int nShares = 0;
-            double cash = 10000.00;
-            double expend = 0.0;
-            double equity = 0.0;
-            double profit1 = 0.0;
-            double charged = 0.0;
-
-            //SECOND EVALUATOR
-            IEnumerator<int> initialRow = rows.GetEnumerator();
-            initialRow.MoveNext();
-            int count = initialRow.Current + 2;
-            IEnumerator<double> enumerator = estimatedValues.GetEnumerator();
-            enumerator.MoveNext();
-            dayBefore = enumerator.Current;
-            enumerator.MoveNext();
-            yesterday = enumerator.Current;
-            while (enumerator.MoveNext())
-            {
-                if (!intoMarket)
-                {
-                    if (dayBefore == -1 && yesterday == 1)
-                    {
-                        intoMarket = true;
-                        stringPrice = problemData.Dataset.GetValue(count, 0); //Extracting Open values
-                        buyPrice = Convert.ToDouble(stringPrice);
-                        totalTradeDays++; numberTrades++; tradeDays++; //Increasing trading variables
-                        nShares = (int)Math.Floor(cash / (buyPrice * (1.0 + commission / 100)));
-                        expend = buyPrice * nShares * (1 + commission / 100);
-                        cash = cash - expend;
-                        equity = cash + nShares * buyPrice * (1 + commission / 100);
-                    }
-                }
-                else if (dayBefore == 1 && yesterday == -1)
-                {
-                    intoMarket = false;
-                    stringPrice = problemData.Dataset.GetValue(count, 0); //Extracting Open values
-                    sellPrice = Convert.ToDouble(stringPrice);
-                    profit1 += sellPrice - buyPrice;
-                    charged = sellPrice * nShares * (1 - commission / 100);
-                    cash = cash + charged;
-                    equity = cash;
-                    nShares = 0;
-                }
-                else
-                {
-                    tradeDays++;
-                    totalTradeDays++;
-                    equity = cash + nShares * Convert.ToDouble(problemData.Dataset.GetValue(count, 0)) * (1 + commission / 100);
-                }
-
-                dayBefore = yesterday;
-                yesterday = enumerator.Current;
-                count++;
-            }
-
-            if (intoMarket)
-            {
-                intoMarket = false;
-                stringPrice = problemData.Dataset.GetValue(count, 0); //Extracting Open values
-                sellPrice = Convert.ToDouble(stringPrice);
-                profit1 += sellPrice - buyPrice;
-                charged = sellPrice * nShares * (1 - commission / 100);
-                cash = cash + charged;
-                equity = cash;
-                nShares = 0;
-            }
-
-            return cash;
-        }
-
-        public override double Evaluate(IExecutionContext context, ISymbolicExpressionTree tree, IRegressionProblemData problemData, IEnumerable<int> rows)
-        {
-            SymbolicDataAnalysisTreeInterpreterParameter.ExecutionContext = context;
-            EstimationLimitsParameter.ExecutionContext = context;
-
-            double r2 = Calculate(SymbolicDataAnalysisTreeInterpreterParameter.ActualValue, tree, EstimationLimitsParameter.ActualValue.Lower, EstimationLimitsParameter.ActualValue.Upper, problemData, rows);
-
-            SymbolicDataAnalysisTreeInterpreterParameter.ExecutionContext = null;
-            EstimationLimitsParameter.ExecutionContext = null;
-
-            return r2;
-        }
-    }
-}
Index: branches/sluengo/HeuristicLab.Problems.TradeRules/Lag.cs
===================================================================
--- branches/sluengo/HeuristicLab.Problems.TradeRules/Lag.cs	(revision 9262)
+++ 	(revision )
@@ -1,34 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common;
-
-namespace HeuristicLab.Problems.TradeRules
-{
-    class Lag : Symbol
-    {
-        private const int minimumArity = 1;
-        private const int maximumArity = 1;
-
-        public override int MinimumArity
-        {
-            get { return minimumArity; }
-        }
-        public override int MaximumArity
-        {
-            get { return maximumArity; }
-        }
-
-        [StorableConstructor]
-        private Lag(bool deserializing) : base(deserializing) { }
-        private Lag(Lag original, Cloner cloner) : base(original, cloner) { }
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new Lag(this, cloner);
-        }
-        public Lag() : base("Lag", "Symbol that represents the Lag value in a time") { }
-    }
-}
Index: branches/sluengo/HeuristicLab.Problems.TradeRules/MACD.cs
===================================================================
--- branches/sluengo/HeuristicLab.Problems.TradeRules/MACD.cs	(revision 9262)
+++ 	(revision )
@@ -1,38 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Core;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Common;
-
-namespace HeuristicLab.Problems.TradeRules
-{
-    [StorableClass]
-    [Item("MACD", "Symbol that represents the MACD indicator.")]
-    class MACD : Symbol
-    {
-        private const int minimumArity = 3;
-        private const int maximumArity = 3;
-
-        public override int MinimumArity
-        {
-            get { return minimumArity; }
-        }
-        public override int MaximumArity
-        {
-            get { return maximumArity; }
-        }
-
-        [StorableConstructor]
-        private MACD(bool deserializing) : base(deserializing) { }
-        private MACD(MACD original, Cloner cloner) : base(original, cloner) { }
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new MACD(this, cloner);
-        }
-        public MACD() : base("MACD", "Symbol that represents the MACD indicator.") { }
-    }
-
- }
Index: branches/sluengo/HeuristicLab.Problems.TradeRules/Max.cs
===================================================================
--- branches/sluengo/HeuristicLab.Problems.TradeRules/Max.cs	(revision 9262)
+++ 	(revision )
@@ -1,35 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common;
-
-namespace HeuristicLab.Problems.TradeRules
-{
-    class Max :Symbol
-    {
-        private const int minimumArity = 1;
-        private const int maximumArity = 1;
-
-        public override int MinimumArity
-        {
-            get { return minimumArity; }
-        }
-        public override int MaximumArity
-        {
-            get { return maximumArity; }
-        }
-
-        [StorableConstructor]
-        private Max(bool deserializing) : base(deserializing) { }
-        private Max(Max original, Cloner cloner) : base(original, cloner) { }
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new Max(this, cloner);
-        }
-        public Max() : base("Max", "Symbol that represents the Max value in a time") { }
-    }
- }
-
Index: branches/sluengo/HeuristicLab.Problems.TradeRules/Min.cs
===================================================================
--- branches/sluengo/HeuristicLab.Problems.TradeRules/Min.cs	(revision 9262)
+++ 	(revision )
@@ -1,34 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common;
-
-namespace HeuristicLab.Problems.TradeRules
-{
-    class Min : Symbol
-    {
-        private const int minimumArity = 1;
-        private const int maximumArity = 1;
-
-        public override int MinimumArity
-        {
-            get { return minimumArity; }
-        }
-        public override int MaximumArity
-        {
-            get { return maximumArity; }
-        }
-
-        [StorableConstructor]
-        private Min(bool deserializing) : base(deserializing) { }
-        private Min(Min original, Cloner cloner) : base(original, cloner) { }
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new Min(this, cloner);
-        }
-        public Min() : base("Min", "Symbol that represents the Min value in a time") { }
-    }
-}
Index: branches/sluengo/HeuristicLab.Problems.TradeRules/RSI.cs
===================================================================
--- branches/sluengo/HeuristicLab.Problems.TradeRules/RSI.cs	(revision 9262)
+++ 	(revision )
@@ -1,35 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Common;
-
-namespace HeuristicLab.Problems.TradeRules
-{
-    class RSI: Symbol
-    {
-        private const int minimumArity = 1;
-        private const int maximumArity = 1;
-
-        public override int MinimumArity
-        {
-            get { return minimumArity; }
-        }
-        public override int MaximumArity
-        {
-            get { return maximumArity; }
-        }
-
-        [StorableConstructor]
-        private RSI(bool deserializing) : base(deserializing) { }
-        private RSI(RSI original, Cloner cloner) : base(original, cloner) { }
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new RSI(this, cloner);
-        }
-        public RSI() : base("RSI", "Symbol that represents the RSI indicator.") { }
-    
-    }
-}