Index: trunk/sources/HeuristicLab.ExtLibs.sln
===================================================================
--- trunk/sources/HeuristicLab.ExtLibs.sln	(revision 9268)
+++ trunk/sources/HeuristicLab.ExtLibs.sln	(revision 9269)
@@ -1,5 +1,5 @@
 ﻿
-Microsoft Visual Studio Solution File, Format Version 11.00
-# Visual Studio 2010
+Microsoft Visual Studio Solution File, Format Version 12.00
+# Visual Studio 2012
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.DayView-1.0", "HeuristicLab.ExtLibs\HeuristicLab.DayView\1.0\HeuristicLab.DayView-1.0.csproj", "{02766ECC-D0F5-4115-9ECA-47409167B638}"
 EndProject
@@ -23,21 +23,25 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.ProtobufCS-2.4.1.473", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\2.4.1\HeuristicLab.ProtobufCS\HeuristicLab.ProtobufCS-2.4.1.473.csproj", "{236459CE-80CF-4991-972F-DE74C826BCCC}"
 EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.ALGLIB-3.6.0", "HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\3.6.0\HeuristicLab.ALGLIB-3.6.0\HeuristicLab.ALGLIB-3.6.0.csproj", "{571A0EE4-C86A-40A6-8790-DA754D464EDC}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "LibSVM-3.12", "HeuristicLab.ExtLibs\HeuristicLab.LibSVM\3.12\LibSVM-3.12\LibSVM-3.12.csproj", "{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.LibSVM-3.12", "HeuristicLab.ExtLibs\HeuristicLab.LibSVM\3.12\HeuristicLab.LibSVM-3.12\HeuristicLab.LibSVM-3.12.csproj", "{005C27BE-ED6E-4602-8199-5F9EB7591CEB}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "WinFormsUI-2.7.0", "HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.7.0\WinFormsUI-2.7.0\WinFormsUI-2.7.0.csproj", "{EAF5F178-406C-4844-B1DC-D3AAF3992FDF}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.WinFormsUI-2.7.0", "HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.7.0\HeuristicLab.WinFormsUI-2.7.0\HeuristicLab.WinFormsUI-2.7.0.csproj", "{3A32A015-9BF9-4EEB-AE80-C5E2B654B860}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.AutoDiff-1.0", "HeuristicLab.ExtLibs\HeuristicLab.AutoDiff\1.0\HeuristicLab.AutoDiff-1.0\HeuristicLab.AutoDiff-1.0.csproj", "{C8BB29AC-C64A-4EF4-9773-9208F9AE0B49}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "AutoDiff-1.0", "HeuristicLab.ExtLibs\HeuristicLab.AutoDiff\1.0\AutoDiff-1.0\AutoDiff-1.0.csproj", "{62551FD3-C21F-4E16-A7FC-6A017508809C}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SharpDevelop-3.2.1", "HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.2.1\HeuristicLab.SharpDevelop-3.2.1.csproj", "{8AF3BD99-3C84-4166-9EEA-B1403E20D926}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ALGLIB-3.7.0", "HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\3.7.0\ALGLIB-3.7.0\ALGLIB-3.7.0.csproj", "{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.ALGLIB-3.7.0", "HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\3.7.0\HeuristicLab.ALGLIB-3.7.0\HeuristicLab.ALGLIB-3.7.0.csproj", "{6F1D7847-D610-4E52-A184-405DAEFA41A9}"
+EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ALGLIB-3.6.0", "HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\3.6.0\ALGLIB-3.6.0\ALGLIB-3.6.0.csproj", "{D863807E-4774-455E-85A4-96E7E6A8F68F}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.ALGLIB-3.6.0", "HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\3.6.0\HeuristicLab.ALGLIB-3.6.0\HeuristicLab.ALGLIB-3.6.0.csproj", "{571A0EE4-C86A-40A6-8790-DA754D464EDC}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "LibSVM-3.12", "HeuristicLab.ExtLibs\HeuristicLab.LibSVM\3.12\LibSVM-3.12\LibSVM-3.12.csproj", "{4C41E3A3-B2FD-46EA-98FB-F21433E58FBE}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.LibSVM-3.12", "HeuristicLab.ExtLibs\HeuristicLab.LibSVM\3.12\HeuristicLab.LibSVM-3.12\HeuristicLab.LibSVM-3.12.csproj", "{005C27BE-ED6E-4602-8199-5F9EB7591CEB}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "WinFormsUI-2.7.0", "HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.7.0\WinFormsUI-2.7.0\WinFormsUI-2.7.0.csproj", "{EAF5F178-406C-4844-B1DC-D3AAF3992FDF}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.WinFormsUI-2.7.0", "HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.7.0\HeuristicLab.WinFormsUI-2.7.0\HeuristicLab.WinFormsUI-2.7.0.csproj", "{3A32A015-9BF9-4EEB-AE80-C5E2B654B860}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.AutoDiff-1.0", "HeuristicLab.ExtLibs\HeuristicLab.AutoDiff\1.0\HeuristicLab.AutoDiff-1.0\HeuristicLab.AutoDiff-1.0.csproj", "{C8BB29AC-C64A-4EF4-9773-9208F9AE0B49}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "AutoDiff-1.0", "HeuristicLab.ExtLibs\HeuristicLab.AutoDiff\1.0\AutoDiff-1.0\AutoDiff-1.0.csproj", "{62551FD3-C21F-4E16-A7FC-6A017508809C}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SharpDevelop-3.2.1", "HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.2.1\HeuristicLab.SharpDevelop-3.2.1.csproj", "{8AF3BD99-3C84-4166-9EEA-B1403E20D926}"
 EndProject
 Global
@@ -147,16 +151,4 @@
 		{236459CE-80CF-4991-972F-DE74C826BCCC}.Release|x86.ActiveCfg = Release|x86
 		{236459CE-80CF-4991-972F-DE74C826BCCC}.Release|x86.Build.0 = Release|x86
-		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|x64.ActiveCfg = Debug|x64
-		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|x64.Build.0 = Debug|x64
-		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|x86.ActiveCfg = Debug|x86
-		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|x86.Build.0 = Debug|x86
-		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|Any CPU.Build.0 = Release|Any CPU
-		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|x64.ActiveCfg = Release|x64
-		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|x64.Build.0 = Release|x64
-		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|x86.ActiveCfg = Release|x86
-		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|x86.Build.0 = Release|x86
 		{571A0EE4-C86A-40A6-8790-DA754D464EDC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{571A0EE4-C86A-40A6-8790-DA754D464EDC}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -255,11 +247,43 @@
 		{8AF3BD99-3C84-4166-9EEA-B1403E20D926}.Release|x86.ActiveCfg = Release|x86
 		{8AF3BD99-3C84-4166-9EEA-B1403E20D926}.Release|x86.Build.0 = Release|x86
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Debug|x64.ActiveCfg = Debug|x64
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Debug|x64.Build.0 = Debug|x64
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Debug|x86.ActiveCfg = Debug|x86
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Debug|x86.Build.0 = Debug|x86
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Release|Any CPU.Build.0 = Release|Any CPU
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Release|x64.ActiveCfg = Release|x64
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Release|x64.Build.0 = Release|x64
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Release|x86.ActiveCfg = Release|x86
+		{AE723DEF-1A44-4F9C-8670-DBCAB79626A2}.Release|x86.Build.0 = Release|x86
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Debug|x64.ActiveCfg = Debug|x64
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Debug|x64.Build.0 = Debug|x64
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Debug|x86.ActiveCfg = Debug|x86
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Debug|x86.Build.0 = Debug|x86
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Release|Any CPU.Build.0 = Release|Any CPU
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Release|x64.ActiveCfg = Release|x64
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Release|x64.Build.0 = Release|x64
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Release|x86.ActiveCfg = Release|x86
+		{6F1D7847-D610-4E52-A184-405DAEFA41A9}.Release|x86.Build.0 = Release|x86
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|x64.ActiveCfg = Debug|x64
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|x64.Build.0 = Debug|x64
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|x86.ActiveCfg = Debug|x86
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Debug|x86.Build.0 = Debug|x86
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|Any CPU.Build.0 = Release|Any CPU
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|x64.ActiveCfg = Release|x64
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|x64.Build.0 = Release|x64
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|x86.ActiveCfg = Release|x86
+		{D863807E-4774-455E-85A4-96E7E6A8F68F}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
 		HideSolutionNode = FALSE
 	EndGlobalSection
-	GlobalSection(SubversionScc) = preSolution
-		Svn-Managed = True
-		Manager = AnkhSVN - Subversion Support for Visual Studio
-	EndGlobalSection
 EndGlobal